## gstreamer-editing-services1.0 1.25.90

=== debian/changelog ===
gstreamer-editing-services1.0 (1.25.90-2) unstable; urgency=medium

  * Upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 07 Mar 2025 16:32:25 +0100

gstreamer-editing-services1.0 (1.25.90-1) experimental; urgency=medium

  * New upstream version 1.25.90
  * d/control: update dependency version to 1.25.90

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 24 Feb 2025 17:00:54 +0100

=== debian/control ===
Source: gstreamer-editing-services1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <gstreamer-editing-services1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Marc Leeman <marc.leeman@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-python3,
               meson (>= 0.62),
               pkgconf (>= 0.11.0),
               bison (>= 1:2.4),
               flex (>= 2.5.34),
               libxml2-dev,
               libglib2.0-dev (>= 2.56),
               libgstreamer1.0-dev (>= 1.25.90),
               libgstreamer-plugins-base1.0-dev (>= 1.25.90),
               libgstreamer-plugins-bad1.0-dev (>= 1.25.90),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev,
               gir1.2-gstreamer-1.0 (>= 1.25.90),
               gir1.2-gst-plugins-base-1.0 (>= 1.25.90),
               gstreamer1.0-plugins-base (>= 1.25.90),
               gstreamer1.0-x (>= 1.25.90),
               gstreamer1.0-plugins-good (>= 1.25.90),
               gstreamer1.0-plugins-bad (>= 1.25.90),
               gstreamer1.0-tools (>= 1.25.90),
               python3-gi (>= 3.8),
               python-gi-dev (>= 3.8),
               python3-all-dev,
               bash-completion
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/gstreamer-team/gstreamer-editing-services1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gstreamer-editing-services1.0/
Homepage: https://gstreamer.freedesktop.org

Package: libges-1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libges-1.0-0 (= ${binary:Version}),
         libgstreamer-plugins-base1.0-dev (>= 1.25.90),
         libgstreamer1.0-dev (>= 1.25.90),
         libglib2.0-dev (>= 2.44),
         libxml2-dev,
         gir1.2-ges-1.0 (= ${binary:Version}),
         ${PythonDevPackage}
Description: GStreamer editing services (development files)
 The GStreamer multimedia framework and the accompanying NLE set of
 plugins for non-linear editing offer all the building blocks for:
 * Decoding and encoding to a wide variety of formats, through all the
   available GStreamer plugins.
 * Easily choosing segments of streams and arranging them through time
   through the NLE set of plugins.
 But all those building blocks only offer stream-level access, which
 results in developers who want to write non-linear editors to write a
 consequent amount of code to get to the level of non-linear editing
 notions which are closer and more meaningful for the end-user
 (and therefore the application).
 .
 The GStreamer Editing Services (GES) aims to fill the gap between
 GStreamer/NLE and the application developer by offering a series
 of classes to simplify the creation of many kind of editing-related
 applications.
 .
 This package contains development files for the GStreamer
 editing services.

Package: libges-1.0-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gstreamer1.0-plugins-base (>= 1.25.90),
         gstreamer1.0-x (>= 1.25.90),
         gstreamer1.0-plugins-good (>= 1.25.90),
         gstreamer1.0-plugins-bad (>= 1.25.90)
Description: GStreamer editing services (shared library)
 The GStreamer multimedia framework and the accompanying NLE set of
 plugins for non-linear editing offer all the building blocks for:
 * Decoding and encoding to a wide variety of formats, through all the
   available GStreamer plugins.
 * Easily choosing segments of streams and arranging them through time
   through the NLE set of plugins.
 But all those building blocks only offer stream-level access, which
 results in developers who want to write non-linear editors to write a
 consequent amount of code to get to the level of non-linear editing
 notions which are closer and more meaningful for the end-user
 (and therefore the application).
 .
 The GStreamer Editing Services (GES) aims to fill the gap between
 GStreamer/NLE and the application developer by offering a series
 of classes to simplify the creation of many kind of editing-related
 applications.
 .
 This package contains the shared library for the GStreamer editing
 services.

Package: ges1.0-tools
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tools for use with the GStreamer editing services
 The GStreamer multimedia framework and the accompanying NLE set of
 plugins for non-linear editing offer all the building blocks for:
 * Decoding and encoding to a wide variety of formats, through all the
   available GStreamer plugins.
 * Easily choosing segments of streams and arranging them through time
   through the NLE set of plugins.
 But all those building blocks only offer stream-level access, which
 results in developers who want to write non-linear editors to write a
 consequent amount of code to get to the level of non-linear editing
 notions which are closer and more meaningful for the end-user
 (and therefore the application).
 .
 The GStreamer Editing Services (GES) aims to fill the gap between
 GStreamer/NLE and the application developer by offering a series
 of classes to simplify the creation of many kind of editing-related
 applications.
 .
 This package contains command-line tools for GStreamer editing
 services.

Package: gir1.2-ges-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GES library
 The GStreamer multimedia framework and the accompanying NLE set of
 plugins for non-linear editing offer all the building blocks for:
 * Decoding and encoding to a wide variety of formats, through all the
   available GStreamer plugins.
 * Easily choosing segments of streams and arranging them through time
   through the NLE set of plugins.
 But all those building blocks only offer stream-level access, which
 results in developers who want to write non-linear editors to write a
 consequent amount of code to get to the level of non-linear editing
 notions which are closer and more meaningful for the end-user
 (and therefore the application).
 .
 The GStreamer Editing Services (GES) aims to fill the gap between
 GStreamer/NLE and the application developer by offering a series
 of classes to simplify the creation of many kind of editing-related
 applications.
 .
 This package contains introspection data for the GStreamer editing
 services.

Package: python3-ges-1.0
Section: python
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (>= 3.8),
         gir1.2-glib-2.0,
         gir1.2-gstreamer-1.0 (>= 1.25.90),
         gir1.2-gst-plugins-base-1.0 (>= 1.25.90),
         gir1.2-ges-1.0 (>= 1.25.90)
Description: Python bindings for the GES library
 The GStreamer multimedia framework and the accompanying NLE set of
 plugins for non-linear editing offer all the building blocks for:
 * Decoding and encoding to a wide variety of formats, through all the
   available GStreamer plugins.
 * Easily choosing segments of streams and arranging them through time
   through the NLE set of plugins.
 But all those building blocks only offer stream-level access, which
 results in developers who want to write non-linear editors to write a
 consequent amount of code to get to the level of non-linear editing
 notions which are closer and more meaningful for the end-user
 (and therefore the application).
 .
 The GStreamer Editing Services (GES) aims to fill the gap between
 GStreamer/NLE and the application developer by offering a series
 of classes to simplify the creation of many kind of editing-related
 applications.
 .
 This package contains Python bindings for the GStreamer editing services.

## gstreamer-editing-services1.0 1.26.0

=== debian/changelog ===
gstreamer-editing-services1.0 (1.26.0-1) unstable; urgency=medium

  * Revert "d/watch pin on 1.24.x"
  * New upstream version 1.26.0
  * d/control: bump GStreamer dependency to 1.25.1
  * d/control: add Build-Depends on gstreamer1.0-tools for gst-tester-1.0
  * d/control: update dependency version to 1.25.90
  * d/control: update GStreamer dependencies to >= 1.26.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Mar 2025 11:48:39 +0100

## gstreamer-editing-services1.0 1.26.1

=== debian/changelog ===
gstreamer-editing-services1.0 (1.26.1-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 06:06:44 +0200

gstreamer-editing-services1.0 (1.26.1-1) unstable; urgency=medium

  * New upstream version 1.26.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 25 Apr 2025 12:55:29 +0200

## gstreamer-editing-services1.0 1.26.2

=== meson_options.txt ===
# Common feature options
option('doc', type : 'feature', value : 'auto', yield: true,
       description: 'Enable documentation.')
option('examples', type : 'feature', value : 'auto', yield : true,
       description : 'Build examples')
option('introspection', type : 'feature', value : 'auto', yield : true,
       description : 'Generate gobject-introspection bindings')
option('tests', type : 'feature', value : 'auto', yield : true,
       description : 'Build and enable unit tests')
option('tools', type : 'feature', value : 'auto', yield : true,
       description : 'Build ges-launch command line tool')

# GES options
option('bash-completion', type : 'feature', value : 'auto',
       description : 'Install bash completion files')
option('pygi-overrides-dir', type : 'string', value : '',
        description: 'Path to pygobject overrides directory')
option('xptv', type : 'feature', value : 'auto',
       description : 'Build the deprecated xptv formatter')
option('python', type : 'feature', value : 'auto', yield: true,
       description: 'Enable python formatters.')
option('python-exe', type : 'string', value: 'python3', yield: true,
       description: 'Path or name of the Python interpreter to build for.')
option('libpython-dir', type : 'string', value : '',
        description: 'Path to find libpythonXX.so')
option('validate', type : 'feature', value : 'auto', yield: true,
       description: 'Enable GstValidate integration.')

=== debian/changelog ===
gstreamer-editing-services1.0 (1.26.2-1) unstable; urgency=medium

  * New upstream version 1.26.2

 -- Marc Leeman <marc.leeman@gmail.com>  Sat, 31 May 2025 09:18:10 +0200

## gstreamer-editing-services1.0 1.26.3

=== debian/changelog ===
gstreamer-editing-services1.0 (1.26.3-1) experimental; urgency=medium

  * New upstream version 1.26.3

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 27 Jun 2025 13:19:54 +0200

## gstreamer-editing-services1.0 1.26.4

=== debian/changelog ===
gstreamer-editing-services1.0 (1.26.4-1) experimental; urgency=medium

  * d/watch: pin on 1.26.x
  * New upstream version 1.26.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 16 Jul 2025 20:12:58 +0200

## gstreamer-editing-services1.0 1.26.5

=== debian/changelog ===
gstreamer-editing-services1.0 (1.26.5-2) unstable; urgency=medium

  * d/copyright: add standard copyright
  * d/copyright: correct for GES.py, superfluous-file-pattern
  * trixie has been release, upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 11 Aug 2025 09:59:12 +0200

gstreamer-editing-services1.0 (1.26.5-1) experimental; urgency=medium

  * New upstream version 1.26.5

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 08 Aug 2025 09:52:54 +0200

## gstreamer-editing-services1.0 1.26.6

=== debian/changelog ===
gstreamer-editing-services1.0 (1.26.6-1) unstable; urgency=medium

  * New upstream version 1.26.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 15 Sep 2025 11:58:58 +0200

## gstreamer-editing-services1.0 1.26.7

=== debian/changelog ===
gstreamer-editing-services1.0 (1.26.7-1) unstable; urgency=medium

  * New upstream version 1.26.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Oct 2025 11:30:18 +0200

=== debian/control ===
--- 
+++ 
@@ -13,18 +13,18 @@
                flex (>= 2.5.34),
                libxml2-dev,
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.25.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.25.90),
-               libgstreamer-plugins-bad1.0-dev (>= 1.25.90),
+               libgstreamer1.0-dev (>= 1.26.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
+               libgstreamer-plugins-bad1.0-dev (>= 1.26.0),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.25.90),
-               gir1.2-gst-plugins-base-1.0 (>= 1.25.90),
-               gstreamer1.0-plugins-base (>= 1.25.90),
-               gstreamer1.0-x (>= 1.25.90),
-               gstreamer1.0-plugins-good (>= 1.25.90),
-               gstreamer1.0-plugins-bad (>= 1.25.90),
-               gstreamer1.0-tools (>= 1.25.90),
+               gir1.2-gstreamer-1.0 (>= 1.26.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.26.0),
+               gstreamer1.0-plugins-base (>= 1.26.0),
+               gstreamer1.0-x (>= 1.26.0),
+               gstreamer1.0-plugins-good (>= 1.26.0),
+               gstreamer1.0-plugins-bad (>= 1.26.0),
+               gstreamer1.0-tools (>= 1.26.0),
                python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
                python3-all-dev,
@@ -41,8 +41,8 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libges-1.0-0 (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-dev (>= 1.25.90),
-         libgstreamer1.0-dev (>= 1.25.90),
+         libgstreamer-plugins-base1.0-dev (>= 1.26.0),
+         libgstreamer1.0-dev (>= 1.26.0),
          libglib2.0-dev (>= 2.44),
          libxml2-dev,
          gir1.2-ges-1.0 (= ${binary:Version}),
@@ -72,10 +72,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.25.90),
-         gstreamer1.0-x (>= 1.25.90),
-         gstreamer1.0-plugins-good (>= 1.25.90),
-         gstreamer1.0-plugins-bad (>= 1.25.90)
+         gstreamer1.0-plugins-base (>= 1.26.0),
+         gstreamer1.0-x (>= 1.26.0),
+         gstreamer1.0-plugins-good (>= 1.26.0),
+         gstreamer1.0-plugins-bad (>= 1.26.0)
 Description: GStreamer editing services (shared library)
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:
@@ -160,9 +160,9 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.25.90),
-         gir1.2-gst-plugins-base-1.0 (>= 1.25.90),
-         gir1.2-ges-1.0 (>= 1.25.90)
+         gir1.2-gstreamer-1.0 (>= 1.26.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.26.0),
+         gir1.2-ges-1.0 (>= 1.26.0)
 Description: Python bindings for the GES library
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/python3/python.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export HOME=$(CURDIR)/fake-home

# upstream version
gst_version=$(shell echo $(DEB_VERSION) | cut -d '-' -f 1)
# default version of python
python_version=$(shell py3versions -d)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled -Ddoc=disabled -Dvalidate=disabled

override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
	dh_auto_test
else
	dh_auto_test || true
endif

execute_after_dh_shlibdeps:
	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
		dh_girepository -pgir1.2-ges-1.2
	rm -rf $(CURDIR)/fake-home

override_dh_makeshlibs:
	dh_makeshlibs -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -plibges-1.0-0 -V 'libges-1.0-0 (>= $(gst_version))' -- -c4

execute_before_dh_gencontrol:
	echo "PythonDevPackage=lib$(python_version)-dev" >> debian/libges-1.0-dev.substvars

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-editing-services/ gst-editing-services-(1\.26\.[\d]+)@ARCHIVE_EXT@

## gstreamer-editing-services1.0 1.26.8

=== debian/changelog ===
gstreamer-editing-services1.0 (1.26.8-1) unstable; urgency=medium

  * d/control: bump meson version to match meson.build
  * d/control: bump Standards-Version to 4.7.2
  * New upstream version 1.26.8

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Nov 2025 12:41:25 +0100

## gstreamer-editing-services1.0 1.26.9

=== debian/changelog ===
gstreamer-editing-services1.0 (1.26.9-1) unstable; urgency=medium

  * New upstream version 1.26.9

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 02 Dec 2025 10:45:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-python3,
-               meson (>= 0.62),
+               meson (>= 1.4.0),
                pkgconf (>= 0.11.0),
                bison (>= 1:2.4),
                flex (>= 2.5.34),
@@ -29,7 +29,7 @@
                python-gi-dev (>= 3.8),
                python3-all-dev,
                bash-completion
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gstreamer-editing-services1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gstreamer-editing-services1.0/

## gstreamer-editing-services1.0 1.26.10

=== debian/changelog ===
gstreamer-editing-services1.0 (1.26.10-1) unstable; urgency=medium

  * New upstream version 1.26.10

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 26 Dec 2025 20:53:46 +0100

## gstreamer-editing-services1.0 1.27.2

=== debian/changelog ===
gstreamer-editing-services1.0 (1.27.2-1) experimental; urgency=medium

  * New upstream version 1.27.2
  * d/control: bump minimal version after new symbols

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Sep 2025 14:55:06 +0200

gstreamer-editing-services1.0 (1.27.1-1) experimental; urgency=medium

  * Revert "d/watch: pin on 1.26.x"
  * d/gbp.conf: adjust for experimental
  * d/control: API change, gst deps to 1.27.1
  * d/control: update Standards-Version
  * New upstream version 1.27.1
  * d/copyright: add LGPL-2/LGPL-3 sections
  * d/copyright: add GPL-3+ sections

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 12 Aug 2025 16:24:04 +0200

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,24 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-python3,
-               meson (>= 1.4.0),
+               meson (>= 0.62),
                pkgconf (>= 0.11.0),
                bison (>= 1:2.4),
                flex (>= 2.5.34),
                libxml2-dev,
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.26.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
-               libgstreamer-plugins-bad1.0-dev (>= 1.26.0),
+               libgstreamer1.0-dev (>= 1.27.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.2),
+               libgstreamer-plugins-bad1.0-dev (>= 1.27.2),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.26.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.26.0),
-               gstreamer1.0-plugins-base (>= 1.26.0),
-               gstreamer1.0-x (>= 1.26.0),
-               gstreamer1.0-plugins-good (>= 1.26.0),
-               gstreamer1.0-plugins-bad (>= 1.26.0),
-               gstreamer1.0-tools (>= 1.26.0),
+               gir1.2-gstreamer-1.0 (>= 1.27.2),
+               gir1.2-gst-plugins-base-1.0 (>= 1.27.2),
+               gstreamer1.0-plugins-base (>= 1.27.2),
+               gstreamer1.0-x (>= 1.27.2),
+               gstreamer1.0-plugins-good (>= 1.27.2),
+               gstreamer1.0-plugins-bad (>= 1.27.2),
+               gstreamer1.0-tools (>= 1.27.2),
                python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
                python3-all-dev,
@@ -41,8 +41,8 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libges-1.0-0 (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-dev (>= 1.26.0),
-         libgstreamer1.0-dev (>= 1.26.0),
+         libgstreamer-plugins-base1.0-dev (>= 1.27.2),
+         libgstreamer1.0-dev (>= 1.27.2),
          libglib2.0-dev (>= 2.44),
          libxml2-dev,
          gir1.2-ges-1.0 (= ${binary:Version}),
@@ -72,10 +72,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.26.0),
-         gstreamer1.0-x (>= 1.26.0),
-         gstreamer1.0-plugins-good (>= 1.26.0),
-         gstreamer1.0-plugins-bad (>= 1.26.0)
+         gstreamer1.0-plugins-base (>= 1.27.2),
+         gstreamer1.0-x (>= 1.27.2),
+         gstreamer1.0-plugins-good (>= 1.27.2),
+         gstreamer1.0-plugins-bad (>= 1.27.2)
 Description: GStreamer editing services (shared library)
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:
@@ -160,9 +160,9 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.26.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.26.0),
-         gir1.2-ges-1.0 (>= 1.26.0)
+         gir1.2-gstreamer-1.0 (>= 1.27.2),
+         gir1.2-gst-plugins-base-1.0 (>= 1.27.2),
+         gir1.2-ges-1.0 (>= 1.27.2)
 Description: Python bindings for the GES library
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:

## gstreamer-editing-services1.0 1.27.50

=== debian/changelog ===
gstreamer-editing-services1.0 (1.27.50-1) experimental; urgency=medium

  * New upstream version 1.27.50
  * d/symbols: add new
  * d/control: update dependencies to >= 1.27.50

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Dec 2025 13:32:00 +0100

=== debian/control ===
--- 
+++ 
@@ -13,18 +13,18 @@
                flex (>= 2.5.34),
                libxml2-dev,
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.27.2),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.2),
-               libgstreamer-plugins-bad1.0-dev (>= 1.27.2),
+               libgstreamer1.0-dev (>= 1.27.50),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.50),
+               libgstreamer-plugins-bad1.0-dev (>= 1.27.50),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.27.2),
-               gir1.2-gst-plugins-base-1.0 (>= 1.27.2),
-               gstreamer1.0-plugins-base (>= 1.27.2),
-               gstreamer1.0-x (>= 1.27.2),
-               gstreamer1.0-plugins-good (>= 1.27.2),
-               gstreamer1.0-plugins-bad (>= 1.27.2),
-               gstreamer1.0-tools (>= 1.27.2),
+               gir1.2-gstreamer-1.0 (>= 1.27.50),
+               gir1.2-gst-plugins-base-1.0 (>= 1.27.50),
+               gstreamer1.0-plugins-base (>= 1.27.50),
+               gstreamer1.0-x (>= 1.27.50),
+               gstreamer1.0-plugins-good (>= 1.27.50),
+               gstreamer1.0-plugins-bad (>= 1.27.50),
+               gstreamer1.0-tools (>= 1.27.50),
                python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
                python3-all-dev,
@@ -41,8 +41,8 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libges-1.0-0 (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-dev (>= 1.27.2),
-         libgstreamer1.0-dev (>= 1.27.2),
+         libgstreamer-plugins-base1.0-dev (>= 1.27.50),
+         libgstreamer1.0-dev (>= 1.27.50),
          libglib2.0-dev (>= 2.44),
          libxml2-dev,
          gir1.2-ges-1.0 (= ${binary:Version}),
@@ -72,10 +72,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.27.2),
-         gstreamer1.0-x (>= 1.27.2),
-         gstreamer1.0-plugins-good (>= 1.27.2),
-         gstreamer1.0-plugins-bad (>= 1.27.2)
+         gstreamer1.0-plugins-base (>= 1.27.50),
+         gstreamer1.0-x (>= 1.27.50),
+         gstreamer1.0-plugins-good (>= 1.27.50),
+         gstreamer1.0-plugins-bad (>= 1.27.50)
 Description: GStreamer editing services (shared library)
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:
@@ -160,9 +160,9 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.27.2),
-         gir1.2-gst-plugins-base-1.0 (>= 1.27.2),
-         gir1.2-ges-1.0 (>= 1.27.2)
+         gir1.2-gstreamer-1.0 (>= 1.27.50),
+         gir1.2-gst-plugins-base-1.0 (>= 1.27.50),
+         gir1.2-ges-1.0 (>= 1.27.50)
 Description: Python bindings for the GES library
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:

## gstreamer-editing-services1.0 1.27.90

=== debian/changelog ===
gstreamer-editing-services1.0 (1.27.90-1) experimental; urgency=medium

  * New upstream version 1.27.90
  * d/control: update dependencies to 1.27.90

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 06 Jan 2026 13:33:42 +0100

=== debian/control ===
--- 
+++ 
@@ -13,18 +13,18 @@
                flex (>= 2.5.34),
                libxml2-dev,
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.27.50),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.50),
-               libgstreamer-plugins-bad1.0-dev (>= 1.27.50),
+               libgstreamer1.0-dev (>= 1.27.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.90),
+               libgstreamer-plugins-bad1.0-dev (>= 1.27.90),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.27.50),
-               gir1.2-gst-plugins-base-1.0 (>= 1.27.50),
-               gstreamer1.0-plugins-base (>= 1.27.50),
-               gstreamer1.0-x (>= 1.27.50),
-               gstreamer1.0-plugins-good (>= 1.27.50),
-               gstreamer1.0-plugins-bad (>= 1.27.50),
-               gstreamer1.0-tools (>= 1.27.50),
+               gir1.2-gstreamer-1.0 (>= 1.27.90),
+               gir1.2-gst-plugins-base-1.0 (>= 1.27.90),
+               gstreamer1.0-plugins-base (>= 1.27.90),
+               gstreamer1.0-x (>= 1.27.90),
+               gstreamer1.0-plugins-good (>= 1.27.90),
+               gstreamer1.0-plugins-bad (>= 1.27.90),
+               gstreamer1.0-tools (>= 1.27.90),
                python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
                python3-all-dev,
@@ -41,8 +41,8 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libges-1.0-0 (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-dev (>= 1.27.50),
-         libgstreamer1.0-dev (>= 1.27.50),
+         libgstreamer-plugins-base1.0-dev (>= 1.27.90),
+         libgstreamer1.0-dev (>= 1.27.90),
          libglib2.0-dev (>= 2.44),
          libxml2-dev,
          gir1.2-ges-1.0 (= ${binary:Version}),
@@ -72,10 +72,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.27.50),
-         gstreamer1.0-x (>= 1.27.50),
-         gstreamer1.0-plugins-good (>= 1.27.50),
-         gstreamer1.0-plugins-bad (>= 1.27.50)
+         gstreamer1.0-plugins-base (>= 1.27.90),
+         gstreamer1.0-x (>= 1.27.90),
+         gstreamer1.0-plugins-good (>= 1.27.90),
+         gstreamer1.0-plugins-bad (>= 1.27.90)
 Description: GStreamer editing services (shared library)
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:
@@ -160,9 +160,9 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.27.50),
-         gir1.2-gst-plugins-base-1.0 (>= 1.27.50),
-         gir1.2-ges-1.0 (>= 1.27.50)
+         gir1.2-gstreamer-1.0 (>= 1.27.90),
+         gir1.2-gst-plugins-base-1.0 (>= 1.27.90),
+         gir1.2-ges-1.0 (>= 1.27.90)
 Description: Python bindings for the GES library
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:

## gstreamer-editing-services1.0 1.28.0

=== debian/changelog ===
gstreamer-editing-services1.0 (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0
  * d/control: update dependencies to 1.28.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 28 Jan 2026 15:18:14 +0100

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,24 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-python3,
-               meson (>= 0.62),
+               meson (>= 1.4.0),
                pkgconf (>= 0.11.0),
                bison (>= 1:2.4),
                flex (>= 2.5.34),
                libxml2-dev,
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.27.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.90),
-               libgstreamer-plugins-bad1.0-dev (>= 1.27.90),
+               libgstreamer1.0-dev (>= 1.28.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.28.0),
+               libgstreamer-plugins-bad1.0-dev (>= 1.28.0),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.27.90),
-               gir1.2-gst-plugins-base-1.0 (>= 1.27.90),
-               gstreamer1.0-plugins-base (>= 1.27.90),
-               gstreamer1.0-x (>= 1.27.90),
-               gstreamer1.0-plugins-good (>= 1.27.90),
-               gstreamer1.0-plugins-bad (>= 1.27.90),
-               gstreamer1.0-tools (>= 1.27.90),
+               gir1.2-gstreamer-1.0 (>= 1.28.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.28.0),
+               gstreamer1.0-plugins-base (>= 1.28.0),
+               gstreamer1.0-x (>= 1.28.0),
+               gstreamer1.0-plugins-good (>= 1.28.0),
+               gstreamer1.0-plugins-bad (>= 1.28.0),
+               gstreamer1.0-tools (>= 1.28.0),
                python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
                python3-all-dev,
@@ -41,8 +41,8 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libges-1.0-0 (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-dev (>= 1.27.90),
-         libgstreamer1.0-dev (>= 1.27.90),
+         libgstreamer-plugins-base1.0-dev (>= 1.28.0),
+         libgstreamer1.0-dev (>= 1.28.0),
          libglib2.0-dev (>= 2.44),
          libxml2-dev,
          gir1.2-ges-1.0 (= ${binary:Version}),
@@ -72,10 +72,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.27.90),
-         gstreamer1.0-x (>= 1.27.90),
-         gstreamer1.0-plugins-good (>= 1.27.90),
-         gstreamer1.0-plugins-bad (>= 1.27.90)
+         gstreamer1.0-plugins-base (>= 1.28.0),
+         gstreamer1.0-x (>= 1.28.0),
+         gstreamer1.0-plugins-good (>= 1.28.0),
+         gstreamer1.0-plugins-bad (>= 1.28.0)
 Description: GStreamer editing services (shared library)
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:
@@ -160,9 +160,9 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.27.90),
-         gir1.2-gst-plugins-base-1.0 (>= 1.27.90),
-         gir1.2-ges-1.0 (>= 1.27.90)
+         gir1.2-gstreamer-1.0 (>= 1.28.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.28.0),
+         gir1.2-ges-1.0 (>= 1.28.0)
 Description: Python bindings for the GES library
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:

## gstreamer-editing-services1.0 1.28.1

=== debian/changelog ===
gstreamer-editing-services1.0 (1.28.1-1) unstable; urgency=medium

  * d/control: update to Standards-Version 4.7.3
  * New upstream version 1.28.1

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 26 Feb 2026 14:23:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gstreamer-editing-services1.0
 Section: libs
-Priority: optional
 Maintainer: Maintainers of GStreamer packages <gstreamer-editing-services1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
@@ -29,7 +28,7 @@
                python-gi-dev (>= 3.8),
                python3-all-dev,
                bash-completion
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gstreamer-editing-services1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gstreamer-editing-services1.0/
